import React from 'react';
import { Link } from '@s-ui/react-router';
import cx from 'classnames';

var renderContent = function renderContent(icon, literal) {
  return icon && literal ? /*#__PURE__*/React.createElement("span", null, icon, literal) : literal || icon;
};

export default function LinkBasic(_ref) {
  var className = _ref.className,
      disabled = _ref.disabled,
      handleClick = _ref.handleClick,
      icon = _ref.icon,
      literal = _ref.literal,
      rel = _ref.rel,
      target = _ref.target,
      title = _ref.title,
      useReactRouterLinks = _ref.useReactRouterLinks,
      _ref$url = _ref.url,
      url = _ref$url === void 0 ? '#' : _ref$url;
  var linkClassName = cx('sui-LinkBasic', className);
  var content = renderContent(icon, literal);

  if (disabled) {
    return /*#__PURE__*/React.createElement("span", {
      className: linkClassName,
      onClick: handleClick,
      title: title
    }, content);
  }

  if (useReactRouterLinks) {
    return /*#__PURE__*/React.createElement(Link, {
      className: linkClassName,
      onClick: handleClick,
      rel: rel,
      target: target,
      title: title,
      to: url
    }, content);
  }

  return /*#__PURE__*/React.createElement("a", {
    className: linkClassName,
    href: url,
    onClick: handleClick,
    rel: rel,
    target: target,
    title: title
  }, content);
}
LinkBasic.displayName = 'LinkBasic';